<?php

namespace App\Controllers;
use App\Models\UsersModel;
use App\Models\EvenementModel;

class ConnexionController extends BaseController
{ 
    // la fonction connection
    public function connection()
    {
        $email = $this->request->getPost('email');
        $mot_de_passe = $this->request->getPost('mot_de_passe');

        $model = new UsersModel();
        $enfantModel = new EnfantModel();
        $evenementModel = new EvenementModel();
        $user = $model->getUserEtEnfantData($email);
        $data['evenements'] = $evenementModel->findAll();
        $enfant = $enfantModel->where('id_personnel', $user['id_personnel'])->first();

        if (!$user) {
            session()->setFlashdata('error', 'Utilisateur non trouvé.');
            return view('ArbreNoel/authentification');
        }

        // Vérification du mot de passe 
        if ($mot_de_passe !== $user['mot_de_passe']) {
            session()->setFlashdata('error', 'Mot de passe incorrect.');
            return view('ArbreNoel/authentification');
        }

        // Sauvegarde des infos de l'agent
        session()->set([
           'isLoggedIn' => true,
           'user' => $user,
           'status'       => $user['status'], // IMPORTANT
       ]);

    // 4️⃣ TEST ADMIN
        if ($user['status'] === 'admin') {
           if ($enfant) {
           // Il a déjà inscrit un enfant
           return redirect()->to(base_url('/ArbreNoel'))->with('success', 'Vous avez déjà inscrit un enfant.');
        }
        return redirect()->to(base_url('/ArbreNoel'));
        }
        
       // ---- NOUVEAU : Vérifier si l'utilisateur a déjà inscrit un enfant ----
        if ($enfant) {
           // Il a déjà inscrit un enfant
           return redirect()->to(base_url('/ArbreNoel'))->with('success', 'Vous avez déjà inscrit un enfant.');
        }

       return redirect()->to('/ArbreNoel/inscriptionEnfant');
    }
// fin de la fonction connection


}